<?php

class formWidgetTemphubHgalleryOptions extends cmsForm{
    
    public function init($options, $template_name) {

        return array( 
            array(
                'type' => 'fieldset',
                'title' => 'Галерея',
                'childs' => array(
                    new fieldImages('options:photo', array(
                        'title'     => 'Изображения галереи',
                        'hint'   => 'Загрузите в поле изображения, которые будете выводить в галерее',
                        'options' => array('sizes' => array('original'))
                    )),
                    new fieldCheckbox('options:no_js', array(
                        'title'     => 'Не подключать библиотеку Owl',
                        'hint'   => 'На тот случай, если она уже используется в вашем шаблоне',
                        'default' => false
                    )),
                    new fieldCheckbox('options:loop', array(
                        'title'     => 'Зацикливать галерею',
                        'hint'   => 'Если нужна бесконечная прокрутка изображений',
                        'default' => true
                    )),
                    new fieldCheckbox('options:nav', array(
                        'title'     => 'Показывать стрелки перемотки',
                        'default' => true
                    )),
                    new fieldColor('options:bg', array(
                        'title'     => 'Фон галереи',
                        'default' => '#000'
                    )),
                    new fieldCheckbox('options:shadow', array(
                        'title'     => 'Включить тень',
                        'default' => false
                    )),
                    new fieldNumber('options:shadowh', array(
                        'title'     => 'Высота тени',
                        'units' => 'px',
                        'default' => 8,
                        'visible_depend' => array('options:shadow' => array('show' => array('1')))
                    )),
                    new fieldNumber('options:intense', array(
                        'title'     => 'Ширина тени',
                        'units' => 'px',
                        'default' => 18,
                        'visible_depend' => array('options:shadow' => array('show' => array('1')))
                    )),
                    new fieldNumber('options:deg', array(
                        'title'     => 'Наклон изображений в гелерее',
                        'units' => 'px',
                        'hint'     => 'Укажите 0, чтобы убрать наклон',
                        'default' => 10,
                    )),
                    new fieldCheckbox('options:opacity', array(
                        'title'     => 'Отключить прозрачность',
                        'default' => false
                    )),
                    )
                )
                );
            }
            
        }