<?php if($widget->options['no_js'] == false) { ?>
<?php $this->addCSS('templates/modern/controllers/temphub/widgets/hgallery/css/owl.carousel.min.css'); ?>
<?php $this->addJS('templates/modern/controllers/temphub/widgets/hgallery/js/owl.carousel.min.js'); ?>
<?php } ?>
<?php $this->addCSS('templates/modern/controllers/temphub/widgets/hgallery/css/hgallery.css'); ?>

<style>
    .carousel-1 {
    <?php if($widget->options['shadow']) { ?>
    box-shadow: 0 <?php echo (empty($widget->options['shadowh'])) ? '8' : $widget->options['shadowh']; ?>px <?php echo (empty($widget->options['intense'])) ? '18' : $widget->options['intense']; ?>px rgba(0,0,0,0.3), 0 16px 20px rgba(0,0,0,0.2);
    <?php } ?>
    background: <?php echo (empty($widget->options['bg'])) ? '#000' : $widget->options['bg']; ?>;
    padding: 5px 0;
    }
    .carousel-1 .owl-pic  {
    border: 5px solid <?php echo (empty($widget->options['bg'])) ? '#000' : $widget->options['bg']; ?>;
    overflow: hidden;
    transform: skew(-<?php echo (empty($widget->options['deg'])) ? '10' : $widget->options['deg']; ?>deg);
    }
</style>

<div class="carousel-1 owl-carousel">
    <?php foreach($widget->options['photo'] as $photos) { ?>
        <div class="owl-pic" <?php if($widget->options['opacity'] == false) { ?>style = "opacity: 0.6;"<?php } ?>>
            <img src="/upload/<?php echo html_image_src($photos, $size_preset='original', $is_add_host=false, $is_relative=true) ?>" />
        </div>
    <?php } ?>
</div>

<?php ob_start(); ?>

<script>
    $('.carousel-1').owlCarousel({
    loop:<?php if($widget->options['loop'] == true) { echo 'true'; } else { echo 'false'; } ?>,
    stagePadding: 70,
    nav:<?php if($widget->options['nav'] == true) { echo 'true'; } else { echo 'false'; } ?>,
    dots: false,
    navText: ['&lsaquo;', '&rsaquo;'],
    responsive:{
        0:{items:1},
        500:{items:2},
        992:{items:3},
        1200:{items:4},
        1600:{items:5}        
    }
});
</script>

<?php $this->addBottom(ob_get_clean()); ?>